* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Protest Strike", sans-serif;
}
body {
    min-height: 100%;
    width: 100vw;
    

}


html {
    will-change: auto;
    
}
.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 1.3rem 10%;
    display: flex;
    align-items: center;
    z-index: 100;
    justify-content: space-between;
}

.header::before {
    content: '';    
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,.1);
    backdrop-filter: blur(50px);
    z-index: -1;
}

.logo {
    font-size: 2rem;
    color: white;
    text-decoration: none;
    font-weight: 500;
}
.navbar a {
    font-size: 1rem;
    font-family: "Noto Sans Thai", sans-serif;
    color: white;
    text-decoration: none;
    font-weight: 700;
    margin-left: 2.5rem;
}
#check {
    display: none;
}
.icons {
    position: absolute;
    font-size: 2.8rem;
    right: 5%;
    color:  white;
    cursor: pointer;
    display: none;
}
/* ส่วนของรูปภาพสไลด์ได้*/

    
.background-clip {
    
    position: absolute;
    right: 0;
    bottom: 0;
    z-index: -1;
}
.container {
    padding:7rem;
    display: flex;
    
}

.slider-wrapper {
    position: relative;
    max-width: 40rem;
    margin-right:auto;
    box-shadow: 2.5px;
}


.slider {
    display: flex;
    aspect-ratio: 16/9;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    scroll-behavior: smooth;
    box-shadow: 0 1.5rem 3rem -0.75rem hsla(0, 0%, 0%, 0.25);
    border-radius: 0.5rem;
    overflow: hidden;
    
    
}
.slider img {
    flex: 1 0 100%;
    scroll-snap-align: start;
    object-fit: cover;
    animation: slide 16s infinite;
    
    
}
@keyframes slide{
    0%{
        transform: translateX(0);
    }
    25%{
        transform: translateX(0);
    }
    30%{
        transform: translateX(-100%);
    }
    50%{
        transform: translateX(-100%);
    }
    55%{
        transform: translateX(-200%);
    }
    75%{
        transform: translateX(-200%);
    }
    80%{
        transform: translateX(-300%);
    }
    100%{
        transform: translateX(-300%);
    }
}
#page_header {
    color: white;
    list-style: none;
    margin-right: auto;
    font-size: 120px;
    padding-left: 3rem;
}
#page_header_1{
    font-family: "Protest Strike", sans-serif;
}
#page_header_2{
    font-family: "Noto Sans Thai", sans-serif;
    font-size: 100px;
}

/* .slider-nav {
    display: flex;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1;
    align-items: center;
    justify-content: center;
    
}
.slider-nav a {
    text-align: center;
    color: white;
    font-size: 5rem;
    font-family: "Pridi", serif;
    font-weight: 500;
    text-shadow: 10px black;
} */


.part2 {
    background-image: linear-gradient(rgba(0,0,0,1),rgb(80,80,80));
    height: auto;
    background-size: cover;
    background-repeat: no-repeat;
}
.admission_header {
    padding-top: 8rem;
}
.admission_header_container {
    background-image: linear-gradient(rgba(180,34,34,1),rgb(225, 111, 111));
    height: fit-content;
    width: 100%;
}
.admission_header_container a{
    display: flex   ;
    justify-content: center;
    font-family: "Protest Strike", sans-serif;
    font-size: 120px;
    color: white;
}

/*Admission Body*/
.portfolio_body {
    padding-top: 5rem;
    padding-left: 3rem;
    padding-right: 3rem;
}
.portfolio_body div a {
    color: white;
    font-size: 60px;
    font-family: "Protest Strike", sans-serif;
}
#Line0 {
    width: 20rem;
    border-style: none;
    height: 10px;
    background-image: linear-gradient(to left, violet,indigo,blue,green,yellow,orange,red)
    
}

.portfolio_table {
    transform: translateX(-50%);
    margin-left: 50%;
    width: 100%;
    padding-top: 1rem;
    justify-content: center;
    background-color: white;
    border-radius: 0.5rem;
    height: 10rem;
    border-spacing: 0.5rem;
    padding-bottom: 1rem;
    
    
}
.portfolio_table tr {
    color: rgb(0, 0, 0);
    justify-content: center;
    
}
.portfolio_table tr td {
    
    font-size: 14px;
    padding-left: 2rem;
    padding-right: 2rem;
    font-family: "Noto Serif Thai", serif;
    
}

/*Quota Body*/
.quota_body {
    padding-top: 5rem;
    padding-left: 3rem;
    padding-right: 3rem;
}
.quota_body div a {
    color: white;
    font-size: 60px;
}
#Line1 {
    width: 20rem;
    border-style: none;
    height: 10px;
    background-image: linear-gradient(to left, violet,indigo,blue,green,yellow,orange,red)
    
}

.quota_table {
    transform: translateX(-50%);
    margin-left: 50%;
    width: 100%;
    padding-top: 1rem;
    justify-content: center;
    background-color: white;
    border-radius: 0.5rem;
    height: 10rem;
    border-spacing: 0.5rem;
    padding-bottom: 1rem;
    
}
.quota_table tr {
    color: rgb(0, 0, 0);
    justify-content: center;
    
}
.quota_table tr td {
    
    font-size: 14px;
    padding-left: 2rem;
    padding-right: 2rem;
    font-family: "Noto Serif Thai", serif;
    
}


/*Admission Body*/
.admission_body {
    padding-top: 5rem;
    padding-left: 3rem;
    padding-right: 3rem;
}
.admission_body div a {
    color: white;
    font-size: 60px;
}
#Line2 {
    width: 20rem;
    border-style: none;
    height: 10px;
    background-image: linear-gradient(to left, violet,indigo,blue,green,yellow,orange,red)
    
}

.admission_table {
    transform: translateX(-50%);
    margin-left: 50%;
    width: 100%;
    padding-top: 1rem;
    justify-content: center;
    background-color: white;
    border-radius: 0.5rem;
    height: 10rem;
    border-spacing: 0.5rem;
    padding-bottom: 1rem;
    
}
.admission_table tr {
    color: rgb(0, 0, 0);
    justify-content: center;
    
}
.admission_table tr td {
    
    font-size: 14px;
    padding-left: 2rem;
    padding-right: 2rem;
    font-family: "Noto Serif Thai", serif;
    
}

/*more infomation*/
.more_infomation {
    transform: translateX(-50%);
    margin-left: 50%;
    background-color: white;
    height: 5rem;
    width: 80%;
    border-radius: 0.5rem;
    display: flex;
    cursor: pointer;
}
.more_infomation:hover {
    background-color: rgb(160, 39, 39);
    transition: 1s ease;
}

.tcas67 {
    transform: translateX(-50%);
    margin-top: 1rem;
    margin-left: 50%
    
}


/* สิ่งอำนวย */
.part3{
    background-image: linear-gradient(rgba(80,80,80,1),rgb(0,0,0));
    width: 100;
}
.blog_container {
    margin-top: 0rem;
    
}
.blog-con {
    display:  flex;
    
    
}

.blog-title {
    padding: 2rem 2rem ;
    background-image: linear-gradient(rgba(180,34,34,1),rgb(225, 111, 111));
    height: fit-content;
    width: 100%;
}
.blog-title h1 {
    text-align: center;
    color: white;
    font-size: 120px;
}
#text_head_blog {
    font-family: "Noto Sans Thai", sans-serif;
    font-size: 50px;
}

.blog-item img {
    width: 50%;
    height: auto;
    padding: 2rem;
    margin-left: 50%;
    transform: translateX(-50%);

}


.blog-item h2 {
    text-align: center;
    color: white;
    font-family: "Noto Serif Thai", serif;
}

.blog-item p {
    text-align: center;
    margin-left: 1rem;
    margin-right: 1rem;
    color: white;
    font-family: "Noto Serif Thai", serif;
}

.end_down {
    background-color: rgb(0, 0, 0);
    height: 10rem;
    
}

/* BREAKPOINTS */
@media (max-width:1413px){
    #page_header{
        font-size: 80px;
    }
    #page_header_2{
        font-size: 60px;
    }
    .slider-wrapper {
        max-width: 35rem;
       
    }
}
@media (max-width:1166px){
    
    .slider-wrapper {
        max-width: 30rem;
       
    }
    .admission_header_container a {
        font-size: 80px;
    }
    .blog-title h1 {
    font-size: 80px;
    }
}
@media (max-width:1086px){
    #page_header{
        font-size: 60px;
    }
    #page_header_2{
        font-size: 40px;
    }
}
@media (max-width:1003px){
    .slider-wrapper {
        max-width: 25rem;
       
    }
}
@media (max-width: 1090px) {
    .header {
        padding: 1.3rem 5%;
    }
}

@media (max-width: 967px) {
    .icons {
        display: inline-flex;
    }
    #check:checked~.icons #menu-icon {
        display: none;
    }
    .icons #close-icon {
        display: none;
    }
    #check:checked~.icons #close-icon {
        display: block;
    }
    .navbar {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        height: 0;
        background: rgba(0,0,0,.1);
        backdrop-filter: blur(50px);
        box-shadow: 0 .5rem 1rem rgba(0,0,0,.1);
        overflow: hidden;
        transition: .3s ease;
    }
    #check:checked~.navbar {
        height: 17.7rem;
        
    }
    .navbar a {
        display: block;
        font-size: 1.1rem;
        margin: 1.5rem 0;
        text-align: center;
        transform: translateY(-50px);
        opacity: 0;
        transition: .3s ease;
    }
}
#check:checked~.navbar a {
   transform: translateY(0);
   opacity: 1;
   transition-delay: calc(.15s * var(--i));
}

@media (min-aspect-ratio:16/9){
    .background-clip{
        width: 100%;
        height: auto;
    }
}
@media (max-aspect-ratio:16/9){
    .background-clip{
        height: 100%;
        width: auto;
        
    }
}
@media (max-width:925px){
    #page_header{
        font-size: 40px;
    }
    #page_header_2{
        font-size: 20px;
    }
    .slider-wrapper {
       
        max-width: 20rem;
    } 
}
@media (max-width:767px){
    .container {
        padding:7rem;
        display: grid;
        justify-content: center;
        
    }
    .slider-wrapper {
        position: relative;
        max-width: 20rem;
        box-shadow: 2.5px;
    }
}
@media (max-width:376px){
    body {
        width: 100vw;
    }
    .admission_header_container a {
        font-size: 60px;
    }
    .blog-title h1 {
        font-size: 60px;
    }
}
@media (max-width:360px){
    body {
        width: 110vw;
    }
    .slider-wrapper {
        max-width: 15rem;
    }
    .background-clip {
        right: -2.25rem;
    }
}
